Delete Coupon Code by ID
Deletes a coupon code.
Note: The default rate limit for this endpoint is 40 concurrent requests.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see API Accounts and OAuth Scopes.
For a list of API status codes, see API Status Codes.
Path parameters
promotion_id
The ID of the associated promotion.
code_id
The ID of the coupon code to delete.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Response
The deletion was successful or the resource does not exist.